# Method: forms.watches.list

- [HTTP request](https://developers.google.com/workspace/forms/api/reference/rest/v1beta/forms.watches/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/forms/api/reference/rest/v1beta/forms.watches/list#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/forms/api/reference/rest/v1beta/forms.watches/list#body.request_body)
- [Response body](https://developers.google.com/workspace/forms/api/reference/rest/v1beta/forms.watches/list#body.response_body)
  - [JSON representation](https://developers.google.com/workspace/forms/api/reference/rest/v1beta/forms.watches/list#body.ListWatchesResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/workspace/forms/api/reference/rest/v1beta/forms.watches/list#body.aspect)

Return a list of the watches owned by the invoking project. The maximum number of watches is two: For each invoker, the limit is one for each event type per form.

### HTTP request

`GET https://forms.googleapis.com/v1beta/forms/{formId}/watches`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `formId` | `string` Required. ID of the Form whose watches to list. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
The response of a ListWatchesRequest.

| JSON representation ||
|---|---|
| ``` { "watches": [ { object (`https://developers.google.com/forms/api/reference/rest/v1beta/forms.watches#Watch`) } ] } ``` |

| Fields ||
|---|---|
| `watches[]` | ``object (`https://developers.google.com/forms/api/reference/rest/v1beta/forms.watches#Watch`)`` The returned watches. |

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/drive`
- `
  https://www.googleapis.com/auth/drive.file`
- `
  https://www.googleapis.com/auth/drive.readonly`
- `
  https://www.googleapis.com/auth/forms.body`
- `
  https://www.googleapis.com/auth/forms.body.readonly`
- `
  https://www.googleapis.com/auth/forms.responses.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).